i**********e 发帖数: 1145 | 1 来自主题: JobHunting版 - fb 面经 @grandjmitbbs:
I decided to name my site as "i has 1337 code" because of the lolcats
internet culture hehe. See here:
http://en.wikipedia.org/wiki/Lol_cats
@grandjmitbbs & ZhangBZ:
It seemed obvious (based on our intuitions) that it would never have such
inputs which produce sequences decreasing in length, but maybe the
interviewer wants LZ to prove it (remember, it's easy to follow your
intuition, but not necessarily easy to construct a correct proof).
一些常见面试题的答案与总结 -
http://www.ihas1337code.co... 阅读全帖 |
|
|
|
g*********s 发帖数: 1782 | 4 1337 = leet? 1 = 1, 3 = e, 7 = t. |
|
f*******4 发帖数: 1401 | 5 1337是以前黑客喜欢选的port number 貌似是 |
|
j***y 发帖数: 2074 | 6
那倒是。用unordered_map的想法是不想用map对数组重新排序。节省一点CPU开销,出
于performance的考虑。不过对这个测试程序来说,也许用不着。
谢谢提醒啊。加上你提示的改变之后,1337的coding panel可以通过,并顺利跑起来了
。但是Dev-C++的编译还是报错。看来应该是编译器有点老了(2005年最后一个release
)。
你的意思是unordered_map与tr1::unordered_map有区别吗?
非常感谢。 |
|
j***y 发帖数: 2074 | 7 Hi, 1337:
非常感谢你的解答。已经验证过了,确实可以实现in place remove duplicates. 顺便
问一下,这段code在你的blog里面出现过吗?这是个有名的算法吗?
当时面试官给的提示是再新建一个数组,似乎他的意思是把没有duplicate的element往
新数组里面扔。他还提到要用hashtable的方法,这个地方该怎样应用hashtable呢?据
他说用hashtable的话,就用不着先对数组进行排序了。
我对hashtable没什么概念,只知道是个key-value pair的table。似乎还要定义一个
hash function来建立从key到value之间的mapping关系。
如果用面试官所说的方法,该怎么解呢?可否给个example code? |
|
l*********r 发帖数: 674 | 8 第二个:神奇啊,我在cygwin下面的gcc居然编译成功而且运行也没问题。
#include
int main() {
char *str = "Hello World"; /* 1 */
memset(str, 'a', 100); /* 2 */
printf("%s", str);
return 0;
}
但是在i has 1337 code的coding panel输入就报错:
Run Status: Compile Error |
|
|
i**********e 发帖数: 1145 | 10 sdlx:
我也觉得怪怪,似乎不是很多人懂 1337 的意思。你有想到其他的名字吗?
Oceanian:
你这个可以,但是用了 2*n 的空间。
yulian:
可以减。只要不用额外空间就行,O(n) run time。
一些常见面试题的答案与总结 -
http://www.ihas1337code.com |
|
s****g 发帖数: 1795 | 11 不懂它为啥不叫做i have 1337而用has |
|
c******a 发帖数: 789 | 12 1337=leet=elite...
it's a leet language guys... |
|
s*****n 发帖数: 5488 | 13 这题1337网站上有答案。差不多是这样。我选择的算法先找到第一个窗口,去掉第一个
字符后,到扫描到同样字符补上前,遇到任何其他字串中的字符都把记录的位置右移,
知道被去掉字符被补上,算windows size,去min,记录start end.数据结构我感觉hash+
linkedlist就够了。
character
table |
|
|
|
w****i 发帖数: 964 | 16 为什么是i has 1337 code,难道不应该是i have? 看着好别扭
势。 |
|
c**********s 发帖数: 410 | 17 bless, 原来1337是你搞的,牛人阿!祝一切顺利
势。 |
|
a********m 发帖数: 15480 | 18 cmft and cong! 这次能在线上也不容易,以后还有机会。
amazon也不错,就是累点。:) 加油。
从1337网站得到不少有用的信息。谢! |
|
|
|
w****i 发帖数: 964 | 21 为什么是i has 1337 code,难道不应该是i have? 看着好别扭
势。 |
|
c**********s 发帖数: 410 | 22 bless, 原来1337是你搞的,牛人阿!祝一切顺利
势。 |
|
a********m 发帖数: 15480 | 23 cmft and cong! 这次能在线上也不容易,以后还有机会。
amazon也不错,就是累点。:) 加油。
从1337网站得到不少有用的信息。谢! |
|
s*****y 发帖数: 897 | 24 Construct Binary Tree From Inorder and Preorder/Postorder Traversal
const int MAX = 256;
// a fast lookup for inorder's element -> index
// binary tree's element must be in the range of [0, MAX-1]
int mapIndex[MAX];
void mapToIndices(int inorder[], int n) {
for (int i = 0; i < n; i++) {
assert(0 <= inorder[i] && inorder[i] <= MAX-1);
mapIndex[inorder[i]] = i;
}
}
// precondition: mapToIndices must be called before entry
Node *buildInorderPreorder(int in[], int pre[], int n, int offse... 阅读全帖 |
|
e***r 发帖数: 68 | 25 觉得LZ那个看到的职位还真像perm的广告,但既然是的话其实也没有必要面试了,真奇
怪。
cmft,1337大牛加油!你行的,6个月后再试试吧,到时我帮你Refer。 |
|
k*j 发帖数: 153 | 26 多谢!刚还去你1337网站上搜了这题的。结果没找到 |
|
a********r 发帖数: 218 | 27 Thanks again 1337
I am not sure your Trie structure and how you build the trie. If the trie is
defined as
struct Trie
{
Trie* parent ;
char letter ;
Trie* child[26] ;
int childNum ;
}
How to modify your code? I tried to modify your code but I didn't get
correct answer.
for
cutting branches.
The longest word that can be formed by two or
tates"
entire word itself as an answer. |
|
a********r 发帖数: 218 | 28 1337,
Yes, it works very well. I really appreciate your help! Google is really too
stupid by not hiring you. |
|
q******8 发帖数: 848 | 29 1337大神,没看懂啊,能加点注释吗?为啥能把单词自己去除呢?然后是每个单词call
这个函数,然后所有返回true的单词再比长度是吗?谢谢
for
cutting branches.
The longest word that can be formed by two or
tates"
entire word itself as an answer. |
|
|
|
i**********e 发帖数: 1145 | 32 My site has a online code for interview questions practicing purpose. So far
it only supports C++, but I plan to add support for other languages (like
Java) soon.
Just click on "show i has 1337 code coding panel" to open up the coding
panel. You can write code on the right box, and the code output will
immediately be shown after you clicked "Run code".
It also has "Interview questions online judge" for testing your solution.
There are other sites such as ideone.com and codepad.org, but I think m... 阅读全帖 |
|
|
|
b******y 发帖数: 660 | 35
of
1337上面是哪题? 找不到,能否给个链接? |
|
r*******g 发帖数: 1335 | 36 是的,感觉更像你说的,先排序,然后类似paint partition problem, 1337上面有解
法。
貌似不是sliding window |
|
r*******g 发帖数: 1335 | 37 是的,感觉更像你说的,先排序,然后类似paint partition problem, 1337上面有解
法。
貌似不是sliding window |
|
S**I 发帖数: 15689 | 38 ☆─────────────────────────────────────☆
fengzhongdi (fzd) 于 (Fri May 27 14:30:18 2011, 美东) 提到:
A的onsite,我尽量客观写,大家帮我分析一下
第一个 美国人, 两个string,问第一个是否包含第二个的全部character,扩展是求第一
个string最短的substring包含第二个中所有的character.
我的解法是hashtable, 然后扩展问题是O(n)那个,先找到第一个包含全部的,然后从头
开始删除,接着从尾巴增加那个.面试官表示满意.
OOD是设计card game
交流过程很融洽.
第二个 hiring manage,印度人, 这个人带我去吃饭,然后问了我电梯设计问题,纠缠在
什么时候读楼层,还有如何判断要不要停下来接人.说了快50分钟.我个人感觉还好,反正
他也是都是笑到最后
第三个,白人,一开始问我LRU cache的设计,我直接告诉他double linked list + hash
table,他很吃惊问我是不是准备过,我说是,然后换了一题Bian... 阅读全帖 |
|
|
|
g***x 发帖数: 494 | 41 1337那第一个方法是tail recursive, 很容易改成loop吧,
void connect_sibling( node * root)
{
if (!root) return;
root->sibling=0;
node * current_level_head=root;
while(current_level_head)
{
node *current_node=current_level_head;
node *next_level_head=0;
while (current_node)
{
if (current_node->left)
{
if (next_level_head==0)
next_level_head=current_node->left;
current_node->left->sibling=0;
if (... 阅读全帖 |
|
a********m 发帖数: 15480 | 42 1337还是careerup有。
示下才搞定。先让不知道答案的xdjm想想吧。回头贴我的做法。 |
|
b*******a 发帖数: 68 | 43 我看到这个问题1337在下面链接:
http://www.leetcode.com/2011/08/reverse-bits.html#comment-4958
我看不懂下面这个:
if (lo ^ hi) {
x ^= ((1U << i) | (1U << j));
就是说如果lo位置的bit 和 hi 位置的bit不一样,就switch between them or
reverse each one. 我不懂的是
x ^= ((1U << i) | (1U << j));
如何做到的?
==> swap these two bits when they are different, meaning flip 0 -> 1, or
flip 1 -> 0, this can be done by XOR 1:
0 ^ 1 = 1
1 ^ 1 = 0
i.e., XOR 1 will flip the original bit |
|
i**********e 发帖数: 1145 | 44 1337 也就是 leet 的另外写法,是 elite 的意思。之前在未名注册的时候就想着用这
个 id,觉得挺酷。过后写博客的时候也顺其自然的也取同样名字了。 |
|
n*******w 发帖数: 687 | 45 来自主题: JobHunting版 - 问个算法题 改变题意了。题目没有说每分钟的quota是一样的。
题意允许第一分钟把quota用完,接下来9分钟等待。
唯一想到的解法就是1337写的那样。circular queue。
如果要精确到毫秒微妙的话,存每个update以及时间。 |
|
s****j 发帖数: 67 | 46 来自主题: JobHunting版 - 问个算法题 恩,我理解你的意思了
O(1)space的暂时没想法
O(n)的就看时间和允许条数哪个大了吧
时间range小就用1337的那个方法 |
|
A**u 发帖数: 2458 | 47 没人感谢?
多些分享
2,3看的眼熟啊,
2是career cup 150上的吧
3 是1337的上面的吧
晚上再来好好学习
is
the |
|
A**u 发帖数: 2458 | 48 没人感谢?
多些分享
2,3看的眼熟啊,
2是career cup 150上的吧
3 是1337的上面的吧
晚上再来好好学习
is
the |
|
|
n*******w 发帖数: 687 | 50 1337那题没时间写完吧。
最后那个O(n)的算法并不是O(n)。反例比如,worst case是逆序数组,要O(n^2)。
这题看过几个网站给的O(n)解法,包括用stack记录最大最小,分段等等,都不是O(n)
解甚至有些是错的。 |
|